# Pesky

## What Is It?

Pesky is a timer addon for World of Warcraft, and is compatible with World of Warcraft: Classic.

It is designed for notifying you to take periodic breaks from the game.  When the timer is started, the icon on the minimap transitions from green (at the beginning) to red (at the end).  Once the timer completes, the minimap icon begins flashing random colors to get your attention (when you have some attention to spare).  You then inform the addon when you are beginning your break, and it will play the "ready check" sound once your break time in over, before then restarting the timer and repeating it, all over again.

You can left-click the minimap icon to open the configuration window, right-click the icon to open the context menu, issue slash commands to control the extension, or set keybindings (in the Addons > Pesky section) to control the extension.  Mousing over the minimap icon will show you the amount of time remaining, if the last thing that happened to the timer was a reset or an unpause.

Note: This my first WoW addon.  Suggestions for code and feature improvements are welcome.

## Command Line API

Pesky supports the following slash commands:

  * `/help`: Print the available slash commands
  * `/reset`: Start the timer for the default amount of time
  * `/reset timeStr`: Start the timer for the amount of time specific by `timeStr` (more info on the time format below)
  * `/break`: Start taking a break
  * `/pause`: Pause the timer
  * `/unpause`: Unpause the timer
  * `/remaining`: Print how much time is remaining on the timer (if the last thing that happened to it was a reset or an unpause)
  * `/config`: Open the configuration window

## Time String Format

An idiosyncratic time format is used for designating times in the configuration window and as arguments to the `/reset` command.  This section will explain the time string format.

There are three parts to a time string, each optional: the *hours* component, the *minutes* component, and the *seconds* component.  *Seconds* must appear after *minutes* must appear after *hours*.  Each component takes the format `XY`, where `X` is any numeric non-negative integer, and `Y` is `h` for *hours*, `m` for *minutes*, and `s` for *seconds*.

So, for example, the following are all valid time strings:

  * ` ` (an empty string means "0 seconds")
  * `1h`
  * `5m`
  * `9s`
  * `1h4s`
  * `1h4m`
  * `5m6s`
  * `00100h80m9001s`

And the following are all *invalid* time strings:

  * `h` (number required)
  * `1H` (`h` should be lowercase)
  * `5m1h` (*hours* should be before *minutes*)
  * `1.1m` (`1.1` isn't an integer)
  * `-1s` (`-1` isn't non-negative)
  * `PIhEs` (`PI` and `E` are not numeric, nor are they integers)

But that is not to say that the invalid strings will all necessarily fail to parse; some will fail and others will parse strangely.  Write your time strings with care.

## Localization

The addon is available in:

  * English
  * German
  * Spanish

Corrections to my German and Spanish translations are very welcome.
