local L10N = PeskyUF.L10N

local helpLines =
  { "Pesky"
  , "- help"
  , "- reset"
  , "- reset XhYmZs"
  , "- break"
  , "- pause"
  , "- unpause"
  , "- remaining"
  , "- config"
  }

-- () => Unit
function Pesky:SlashPesky(input)

  local _, _, command, args = string.find(input, "%s*(%w+)%s?(.*)")

  if command == "" or command == nil or command == "help" then
    for i, line in ipairs(helpLines) do
      print(line)
    end
  elseif command == "reset" and args == "" then
    Pesky.setTimer()
  elseif command == "reset" then
    Pesky.setTimer(Pesky.timeStrToSeconds(args))
  elseif command == "break" then
    Pesky.startBreak()
  elseif command == "pause" then
    Pesky.pause()
  elseif command == "unpause" then
    Pesky.unpause()
  elseif command == "remaining" then
    Pesky.remaining()
  elseif command == "config" then
    Pesky.config()
  else
    print(L10N["Unknown command"] .. ": " .. command)
  end

end
