-- (Number) => String
function Pesky.secondsToTimeStr(seconds)

  local hours   = math.floor(seconds / (60 * 60))
  local minutes = math.floor((seconds - (hours * 60 * 60)) / 60)
  local seconds = math.floor((seconds - (hours * 60 * 60) - (minutes * 60)))

  local hoursComp
  local minutesComp
  local secondsComp

  if   hours ~= 0 then   hoursComp =   hours .. "h" else   hoursComp = "" end
  if minutes ~= 0 then minutesComp = minutes .. "m" else minutesComp = "" end
  if seconds ~= 0 then secondsComp = seconds .. "s" else secondsComp = "" end

  return hoursComp .. minutesComp .. secondsComp

end

-- (String) => Number
function Pesky.timeStrToSeconds(str)

  local _, _, hoursStr, afterHours = string.find(               str , "%s*(%d+)h(.*)")
  local _, _, minutesStr           = string.find(afterHours or  str , "%s*(%d+)m.*")
  local _, _, revSecsStr           = string.find(string.reverse(str), "%s*s(%d+).*")

  local hoursComp   = tonumber(hoursStr or 0) * 60 * 60
  local minutesComp = tonumber(minutesStr or 0) * 60
  local secondsComp = tonumber(string.reverse(revSecsStr or "0"))

  return hoursComp + minutesComp + secondsComp

end
